Loading...
Searching...
No Matches
globus_xio_mode_e_driver.h File Reference

XIO MODE_E Driver. More...

`#include "globus_common.h"`

Go to the source code of this file.

## Enumerations

enum | globus_xio_mode_e_error_type_t { GLOBUS_XIO_MODE_E_HEADER_ERROR }

enum

globus_xio_mode_e_cmd_t {
GLOBUS_XIO_MODE_E_SET_STACK , GLOBUS_XIO_MODE_E_GET_STACK , GLOBUS_XIO_MODE_E_SET_NUM_STREAMS , GLOBUS_XIO_MODE_E_GET_NUM_STREAMS ,
GLOBUS_XIO_MODE_E_SET_OFFSET_READS , GLOBUS_XIO_MODE_E_GET_OFFSET_READS , GLOBUS_XIO_MODE_E_SET_MANUAL_EODC , GLOBUS_XIO_MODE_E_GET_MANUAL_EODC ,
GLOBUS_XIO_MODE_E_SEND_EOD , GLOBUS_XIO_MODE_E_SET_EODC , GLOBUS_XIO_MODE_E_DD_GET_OFFSET , GLOBUS_XIO_MODE_E_SET_STACK_ATTR ,
GLOBUS_XIO_MODE_E_GET_STACK_ATTR
}

## Functions

globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_SET_STACK, globus_xio_stack_t stack)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_GET_STACK, globus_xio_stack_t *stack_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_SET_NUM_STREAMS, int num_streams)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_GET_NUM_STREAMS, int *num_streams_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_SET_OFFSET_READS, globus_bool_t offset_reads)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_GET_OFFSET_READS, globus_bool_t *offset_reads_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_SET_MANUAL_EODC, globus_bool_t manual_eodc)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_GET_MANUAL_EODC, globus_bool_t *manual_eodc_out)
globus_result_t | globus_xio_data_descriptor_cntl (dd, driver, GLOBUS_XIO_MODE_E_SEND_EOD, globus_bool_t send_eod)
globus_result_t | globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_MODE_E_SET_EODC, int eod_count)
globus_result_t | globus_xio_data_descriptor_cntl (dd, driver, GLOBUS_XIO_MODE_E_DD_GET_OFFSET, globus_off_t *offset_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_SET_STACK_ATTR, globus_xio_stack_t stack)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_GET_STACK_ATTR, globus_xio_attr_t *stack_out)

## Detailed Description

XIO MODE_E Driver.